/**
 * Included in the page context by the sp-list macro. Adds an on-hover effect to each data row in the table.
 */
AJS.toInit(function($) {
    var rows = $(".sp-data-row");
    if (rows == null || rows == undefined || rows.length == 0) {
        AJS.log("sp-list macro contained no data rows.");
        return;
    }

    rows.mouseover(function() {
        var me = $(this);
        me.addClass("sp-data-row-selected");
        me.find(".sp-actions").addClass("visible");
        me.find(".sp-actions-placeholder").removeClass("visible");
    });

    rows.mouseout(function() {
        var me = $(this);
        me.removeClass("sp-data-row-selected");
        me.find(".sp-actions").removeClass("visible");
        me.find(".sp-actions-placeholder").addClass("visible");
    });
})(AJS.$);